#ifndef BWIDGETS_EXCEPTION_HPP
#define BWIDGETS_EXCEPTION_HPP

#include <any>
#include <functional>
#include <map>
#include <stdexcept>

#include <basic_widgets/core/type/concepts.hpp>

namespace bwidgets
{
    struct BaseException : std::runtime_error
    {
        using runtime_error::runtime_error;
    };

    template<typename T>
    concept Exception = std::derived_from<T, BaseException>;
}

#endif
